## groovy.util
Class IndentPrinter

A helper class for printing indented text

author:
  James Strachan

version:
  $Revision: 10922 $

Field Summary
`String` | `indent`
`int` | `indentLevel`
`PrintWriter` | `out`

Constructor Summary
`IndentPrinter()`
`IndentPrinter(PrintWriter out)`
`IndentPrinter(PrintWriter out, String indent)`

Method Summary
`void` | `decrementIndent()`
`void` | `flush()`
`int` | `getIndentLevel()`
`void` | `incrementIndent()`
`void` | `print(String text)`
`void` | `print(char c)`
`void` | `printIndent()`
`void` | `println(String text)`
`void` | `println()`
`void` | `setIndentLevel(int indentLevel)`

Constructor Detail

### IndentPrinter

    public IndentPrinter()

### IndentPrinter

    public IndentPrinter(PrintWriter out)

### IndentPrinter

    public IndentPrinter(PrintWriter out, String indent)

Method Detail

### decrementIndent

    public void decrementIndent()

### flush

    public void flush()

### getIndentLevel

    public int getIndentLevel()

### incrementIndent

    public void incrementIndent()

### print

    public void print(String text)

### print

    public void print(char c)

### printIndent

    public void printIndent()

### println

    public void println(String text)

### println

    public void println()

### setIndentLevel

    public void setIndentLevel(int indentLevel)